search cancel

Postgresql DB Support for Password Management and PAM

book

Article ID: 227961

calendar_today

Updated On:

Products

CA Privileged Access Manager (PAM)

Issue/Introduction

Is PostgreSQL DB supported for password management in CAPAM 3.4.2?

Environment

Release : 3.4

Component : PRIVILEGED ACCESS MANAGEMENT

Resolution

PostgreSQL is not supported.

PAM does not have a target to manage PostgreSQL accounts.  You will have two options.  Both you would need to develop or work with a partner to develop these custom solutions. 

1. Create a custom connector.  This would require a good bit of development.

2. Possibly the creation of a custom bash script that uses a unix connector to manage the PostgreSQL. 

Both the options are outside the scope of support but I wanted to let you know the other possibilities